MongoCollection::batchInsert
MongoCollection::count
MongoCollection
PHP Manual

# MongoCollection::__construct

(PECL mongo >=0.9.0)

MongoCollection::__construct — Creates a new collection

### Description

public MongoCollection::__construct ( MongoDB `$db` , string `$name` )

### Parameters

MongoDB `db`

  Parent database.

`name`

  Name for this collection.

### Return Values

Returns a new collection object.

### Errors/Exceptions

Throws InvalidArgumentException if the collection name is invalid.

MongoCollection::batchInsert
MongoCollection::count
MongoCollection
PHP Manual